package com.example.mmad.testapp.mapper;

import com.example.mmad.testapp.entity.PersonEntity;
import com.example.mmad.testapp.model.PersonModel;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueMappingStrategy;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_NULL
        , componentModel = "spring"
)
public interface PersonMapper {

    static PersonMapper get() {
        return Mappers.getMapper(PersonMapper.class);
    }


    PersonModel entityToModel(PersonEntity entity);

    PersonEntity modelToEntity(PersonModel model);

    List<PersonModel> entitiesToModels(List<PersonEntity> entityList);
}
